package edu.umd.dawn.common.models;

import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class UserAgent {

    @Builder.Default
    private boolean bot = false;

    @Builder.Default
    private boolean tablet = false;

    @Builder.Default
    private boolean mobile = false;

    @Builder.Default
    private boolean desktop = false;

    private String device;
    private String os;
    private String osVersion;
    private String name;
    private String version;
}
